package cs108;

import java.util.Iterator;

public abstract class SAbstractSet<E> implements SSet<E> {
    @Override
    public boolean isEmpty() {
        return size() == 0;
    }
    
    @Override
    public String toString() {
        StringBuilder b = new StringBuilder("{");
        Iterator<E> i = iterator();
        while (i.hasNext()) {
            b.append(i.next())
            .append(i.hasNext() ? ", " : "}");
        }
        return b.toString();
    }
}
